program PTR_asc (input,output);
uses ptr;

var out_file:text;

procedure trans_asc_tape;
{Copy an ascii tape to disk. Skip over leading 0's, and stop
 when next 0 is read. Translate CR into newline}
var character : byte;
begin;
  repeat; {Skip over leader of 0's}
    character:=read_ptr(0)
  until character <> 0;
  {Last byte read was a valid character}
  while character <> 0 do begin;
    if character = 13 then writeln(out_file); {Translate CR into newline}
    if (character <>10) and (character <> 13) then
      write(out_file,chr(character)); {if not CR or LF, Copy it}
    character:=read_ptr(0); {Get next character}
  end;
end;

begin;
  if paramcount <>1 then writeln('Usage : PTRASC <filename>') else begin;
    assign(out_file,paramstr(1));
    rewrite(out_file);
    trans_asc_tape;
    close(out_file);
  end;
end.
